%define module_name Redis-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: gcc-c++ libev-devel libevent-devel libgnustep-corebase-devel libivykis-devel libssl-devel libuv-devel perl(Digest/SHA.pm) perl(Encode.pm) perl(File/Temp.pm) perl(File/Which.pm) perl(IPC/Cmd.pm) perl(Module/Build.pm) perl(Module/Build/XSUtil.pm) perl(Parallel/ForkManager.pm) perl(Redis.pm) perl(Test/Deep.pm) perl(Test/Fatal.pm) perl(Test/LeakTrace.pm) perl(Test/More.pm) perl(Test/SharedFork.pm) perl(Test/TCP.pm) perl(Test/UNIXSock.pm) perl(Time/HiRes.pm) perl(Try/Tiny.pm) pkgconfig(glib-2.0)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.36
Release: alt2
Summary: Perl binding for Redis database
Group: Development/Perl
License: perl
URL: https://github.com/shogo82148/Redis-Fast

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/S/SH/SHOGO/%{module_name}-%{version}.tar.gz

%description
%summary

%prep
%setup -q -n %{module_name}-%{version}
[ %version = 0.33 ] && rm -f t/11-timeout.t

%build
%perl_vendor_build --install_path bindoc=%_man1dir

%install
%perl_vendor_install

%files
%doc LICENSE Changes README.md
%perl_vendor_archlib/R*
%perl_vendor_autolib/*

%changelog
* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.36-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.36-alt1
- updated by package builder

* Wed Dec 14 2022 Igor Vlasenko <viy@altlinux.org> 0.35-alt1
- updated by package builder

* Wed Jun 08 2022 Igor Vlasenko <viy@altlinux.org> 0.34-alt1
- updated by package builder

* Wed Nov 24 2021 Igor Vlasenko <viy@altlinux.ru> 0.33-alt1
- updated by package builder

* Sun Jul 18 2021 Igor Vlasenko <viy@altlinux.ru> 0.31-alt1
- updated by package builder

* Wed Jun 16 2021 Igor Vlasenko <viy@altlinux.org> 0.30-alt2
- rebuild with perl 5.34.0

* Mon May 10 2021 Igor Vlasenko <viy@altlinux.ru> 0.30-alt1
- updated by package builder

* Mon Jan 18 2021 Igor Vlasenko <viy@altlinux.ru> 0.29-alt1
- updated by package builder

* Tue Nov 03 2020 Igor Vlasenko <viy@altlinux.ru> 0.28-alt1
- updated by package builder

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 0.27-alt2
- rebuild with perl 5.30

* Fri Aug 28 2020 Igor Vlasenko <viy@altlinux.ru> 0.27-alt1
- updated by package builder

* Tue May 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.26-alt1
- updated by package builder

* Tue Aug 20 2019 Igor Vlasenko <viy@altlinux.ru> 0.25-alt1
- updated by package builder

* Sat Jun 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.23-alt1
- updated by package builder

* Fri Feb 01 2019 Cronbuild Service <cronbuild@altlinux.org> 0.22-alt1.1
- rebuild with perl 5.28.1

* Wed Aug 15 2018 Igor Vlasenko <viy@altlinux.ru> 0.22-alt1
- regenerated from template by package builder

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.21-alt1
- regenerated from template by package builder

* Mon Dec 18 2017 Igor Vlasenko <viy@altlinux.ru> 0.20-alt2
- rebuild with perl 5.26

* Sun Feb 26 2017 Igor Vlasenko <viy@altlinux.ru> 0.20-alt1
- regenerated from template by package builder

* Sun Feb 12 2017 Cronbuild Service <cronbuild@altlinux.org> 0.19-alt2
- rebuild to get rid of unmets

* Thu Dec 29 2016 Igor Vlasenko <viy@altlinux.ru> 0.19-alt1
- regenerated from template by package builder

* Fri Mar 04 2016 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1
- regenerated from template by package builder

* Fri Nov 27 2015 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1.1
- rebuild with perl 5.22

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.16-alt1
- regenerated from template by package builder

* Wed Dec 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.14-alt1
- regenerated from template by package builder

* Sat Dec 13 2014 Cronbuild Service <cronbuild@altlinux.org> 0.13-alt2
- rebuild to get rid of unmets

* Wed Oct 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.13-alt1
- regenerated from template by package builder

* Mon Sep 22 2014 Igor Vlasenko <viy@altlinux.ru> 0.12-alt1
- regenerated from template by package builder

* Fri Sep 05 2014 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Thu Jul 17 2014 Igor Vlasenko <viy@altlinux.ru> 0.09-alt1
- regenerated from template by package builder

* Mon Jun 23 2014 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Tue Apr 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- regenerated from template by package builder

* Mon Oct 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

